package org.acme

import io.quarkus.test.junit.QuarkusTest
import io.restassured.RestAssured.given
import org.hamcrest.CoreMatchers.`is`
import org.junit.jupiter.api.Test
import org.mockito.Mockito
import kotlin.test.assertEquals

@QuarkusTest
class GreetingResourceTest {

    @Test
    fun testHelloEndpoint() {
        given()
          .`when`().get("/hello")
          .then()
             .statusCode(200)
             .body(`is`("Hello from Quarkus REST"))
    }

    @Test
    fun mockTestClass() {
        val mock = Mockito.mock(TestClass::class.java)
        mock.someProperty = "Hello"
        assertEquals(1, Mockito.mockingDetails(mock).invocations.size)
    }

}
